Bug 986676 - Can’t get IP address of VM with latest Guest Agent installed on it
Can’t get IP address of VM with latest Guest Agent installed on it
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Vinzenz Feenstra [evilissimo]
vvyazmin@redhat.com
virt
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 09:42 EDT by vvyazmin@redhat.com
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 03:07:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, superVdsm (4.46 MB, application/x-gzip)
2013-07-21 09:42 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-07-21 09:42:18 EDT
Created attachment 776456 [details]
## Logs rhevm, vdsm, libvirt, superVdsm

Description of problem:
Can’t get IP address of VM with latest Guest Agent installed on it 

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS6 environment:

RHEVM: rhevm-3.3.0-0.9.master.el6ev.noarch
VDSM: vdsm-4.12.0-rc1.12.git8ee6885.el6.x86_64
LIBVIRT: libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
Create iSCSI DC with 3 hosts
Create Template from VM with latest Guest Agent installed on it (RHEL 6.4)
Create 150 VM’s from this template
Power on all those VM’s

Actual results:
In RHEVM (webadmin) ==> Virtual Machines tab ==> IP Address column, no IP displayed
If I migrate this VM to another host, immediately I get IP address in UI.

Same test done via PythonSDK - can’t get IP address till I migrate VM to another host

Expected results:
Always show IP address if on VM installed Guest Agent

Impact on user:
Can’t get IP via UI or PythonSDK

Workaround:
Logging to VM via SPICE or VNC console, and run ifconfig command

Additional info:

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 1 vvyazmin@redhat.com 2013-07-21 10:00:39 EDT
Guest Agent: rhevm-guest-agent-common-1.0.7-12.el6ev.noarch
Comment 2 Vinzenz Feenstra [evilissimo] 2013-07-22 10:18:04 EDT
Is this only for a particular VM or is it for all RHEL6 VMs?
Comment 3 Vinzenz Feenstra [evilissimo] 2013-07-22 10:18:32 EDT
And on which Host was that VM?
Comment 5 vvyazmin@redhat.com 2013-08-08 10:02:08 EDT
It's for all RHEL6.4 VM's
Comment 6 Vinzenz Feenstra [evilissimo] 2013-08-09 02:22:44 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #3)
> And on which Host was that VM?

Please answer the question as well thanks.
Comment 7 Vinzenz Feenstra [evilissimo] 2013-08-09 03:54:09 EDT
Um, I just noticed... running ifconfig on the VM solves the issue?
> Workaround:
> Logging to VM via SPICE or VNC console, and run ifconfig command

Well, what exactly are you running there? This sounds to me like that there was simply a network configuration problem on your VM, not a problem of the reporting...
Comment 8 vvyazmin@redhat.com 2013-08-12 03:53:26 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #3)
> And on which Host was that VM?

All 150 VM's run on 3 different hosts.
Comment 9 vvyazmin@redhat.com 2013-08-12 03:54:58 EDT
(In reply to Vinzenz Feenstra [evilissimo] from comment #7)
> Um, I just noticed... running ifconfig on the VM solves the issue?
> > Workaround:
> > Logging to VM via SPICE or VNC console, and run ifconfig command
> 
> Well, what exactly are you running there? This sounds to me like that there
> was simply a network configuration problem on your VM, not a problem of the
> reporting...

There is no problem with network on hosts or VM's.
Comment 10 vvyazmin@redhat.com 2013-08-15 10:47:17 EDT
I repeat same test on RHEVM 3.3 - IS10 environment:

RHEVM:  rhevm-3.3.0-0.15.master.el6ev.noarch
PythonSDK:  rhevm-sdk-python-3.3.0.10-1.el6ev.noarch
VDSM:  vdsm-4.12.0-61.git8178ec2.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM:  qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK:  sanlock-2.8-1.el6.x86_64

and all works OK.
Comment 11 Vinzenz Feenstra [evilissimo] 2013-08-16 03:07:45 EDT
So if all works now I can close it. Sorry for the trouble though

Note You need to log in before you can comment on or make changes to this bug.